%define  patch_name kernel-fix-acpi

Name: %patch_name
Version: 2004.06.22
Release: alt1

Summary: %patch_name kernel patch - general fixes for acpi
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# kernel 2.4 patches

# http://www.kernel.org/pub/linux/kernel/people/lenb/acpi/patches/release/2.4.26/acpi-20040326-2.4.26.diff.bz2
%source  0	2.4_00_acpi-20040326-2.4.26.diff			2.4

%source  1	2.4_01_button-rmmod.patch				2.4
%source  2	2.4_02_mptable-init.patch				2.4

%source 10	2.4_10_acpi-dsdt-initrd-patch-v0.3-2.4.22+20030918.diff	2.4

%source 20	2.4_20_dmi-debug.patch					2.4
%source 21	2.4_21_acpi-cutoff-year-2000.patch			2.4
%source 22	2.4_22_acpi-blacklist.patch				2.4
%source 23	2.4_23_acpi-blacklist.patch				2.4

# kernel 2.6 patches


BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
General fixes for acpi

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Wed Jun 23 2004 Anton Farygin <rider@altlinux.ru> 2004.06.22-alt1
- removed patches for 2.6 kernel (now it in mainstream 2.6.7)

* Wed May 12 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.12-alt1
- Added patches for kernel 2.4.26:
  + 2.4_00_acpi-20040326-2.4.26.diff: ACPI update:
    + allow IRQ2 use in ACPI/IOAPIC mode
    + fix "No IRQ known... - using IRQ 255"
    + acpi4asus 0.28 (support for Samsung P30, L4400L, M6800N)
    + fix fully charged battery state text
    + fix toshiba_acpi load with acpi_disabled
    + handle BIOS that reference disabled PCI Interrupt Link Devices
    + handle BIOS returning _CRS outside _PRS
    + fix oopses when unloading modules with busy /proc entries
    + pci=noacpi skips PCI probe, use acpi=noirq to just disable IRQ config
  + 2.4_01_button-rmmod.patch: fix more problems with rmmod button
  + 2.4_02_mptable-init.patch: fix mptable initialization in ACPI mode
  + 2.4_10_acpi-dsdt-initrd-patch-v0.3-2.4.22+20030918.diff: DSDT override
    through initrd support
  + 2.4_20_dmi-debug.patch: print DMI messages (useful for blacklisting)
  + 2.4_21_acpi-cutoff-year-2000.patch: allow ACPI with BIOS from Year 2000
  + 2.4_22_acpi-blacklist.patch: ASUS CUPLE-VM ACPI BIOS Revision 1003 is
    severely broken
  + 2.4_23_acpi-blacklist.patch: Supermicro 370DL3/370DLE and P3TDL3/P3TDLE
    don't work unless pci=noacpi is used

* Wed May 12 2004 Anton Farygin <rider@altlinux.ru> 2004.05.11-alt1
- fix for sharing IRQ12 (2.6_01_acpi-20040326-2.6.6.diff)
